<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="stylesheet.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&display=swap" rel="stylesheet">
    <title>FoodSwipe</title>
</head>
<body>
    <header>
        <div class="ColorStroke" style ="width: 50%; display: flex; justify-content: right;">
            
            <a href="index.html" style="font-size:45px; color:var(--main-dark-color); text-decoration: none; width: 50%;">FoodSwipe</a>

            <div class="loginLinks" style="width: 25%;">
                <button id="Subscribe" style="background-color: var(--main-dark-color); cursor:pointer; color: #fcf9dc; height: 35px; border:none; font-size: larger;">Subscribe</button>
                <button id="SignInBtn" style="background-color: var(--main-orange-color); cursor:pointer; color: var(--main-dark-color); height: 30px; border:none; font-size: large;">Sign in</button>
            </div>
        </div>
    </header>

    <main>
        <div style="display: flex; width: 100%; height: 90%; justify-content: space-around; background-color: var(--main-dark-color); padding-bottom:6px;">
            <img src="../images/CookingBanner1.jpg" style="width: 32%">
            <img src="../images/CookingBanner2.jpg" style="width: 32%">
            <img src="../images/CookingBanner3.jpg" style="width: 32%">
            <div style="width:100%; display:flex; justify-content: space-around; position: absolute; top: 35%; right: 20px;">
                <h1 style="text-decoration: none;  Color: white;  font-size: 65px; width: 33%;">Swipe</h1>
                <h1 style="text-decoration: none;  Color: white;  font-size: 65px; width: 33%;">Cook</h1>
                <h1 style="text-decoration: none;  Color: white;  font-size: 65px; width: 33%;">Eat</h1>
            </div>

        </div>

        <button id="MakeAccountBtn">Make account</button>
       
        <div class="form-popup" id="RegisterForm" style="display:none">
            <form class="form-container" onsubmit="return false">
                <h2 style="text-decoration: none;">Make account</h2>

                <button style="background-color:var(--main-orange-color); border:none; cursor: pointer; position: absolute; top:0px; right: 0px; margin: 10px;" id="closeFrom" type="button"><img style="width: 20px; background-color:var(--main-orange-color)" src="../images/cross.png"></button>
                <input type="text" placeholder="Name" id="name" name="name" required>
                <input style="width:95%" type="email" placeholder="Email" id="email" name="email" required>

                <section style="display: flex;">
                    <input type="password" id="password1" placeholder="Password" name="password1" minlength="8" required>
                    <input type="password" id="password2" placeholder="Confirm Password" name="password2" minlength="8" required>
                </section>
                <button type='submit' class="LoginBtn" id="LoginBtn">Register</button>
            </form>
        </div>

        <div class="form-popup" id="SignInForm" style="display:none">
            <form class="form-container" onsubmit="return false">
                <h2 style="text-decoration: none;">Sign in</h2>
                <button style="background-color: var(--main-orange-color); border:none; cursor: pointer; position: absolute; top:0px; right: 0px; margin: 10px;" id="CloseSignIn" type="button"><img style="width: 20px; " src="../images/cross.png"></button>
                <input style="width:95%" type="email" placeholder="Email" id="emailSignIn" name="email" required>
                <input style="width:95%"type="password" id="passwordSignIn" placeholder="Password" name="password" minlength="8" required>
                <button type='submit' class="LoginBtn" id="SignInBtnForm">Login</button>
            </form>
        </div>

        <div class="form-popup" id="ProfileForm" style="display:none">
            <form class="form-container" onsubmit="return false">
                <h2 style="text-decoration: none;">Profile</h2>
                <img src="../images/profileDummy.png" style="border-radius: 50%; width: 200px; height: 200px; margin: 20px;">
                
                <p id="displayNameBox"></p>

                <label>Email</label>
                <p id="emailBox"></p>
                <button style="background-color:var(--main-orange-color); border:none; cursor: pointer; position: absolute; top:0px; right: 0px; margin: 10px;" id="CloseProfile" type="button"><img style="width: 20px; " src="../images/cross.png"></button>
                <button type='submit' class="LoginBtn" id="signOutBtn">Sign out</button>
            </form>
        </div>


    </main>

    <script src="../dist/bundleMakeAccount.js"></script>
</body>
</html>